#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Ken Carlino Pixarra Inc

 Script Function: TwistedBrush Autoation Save layers of a page to separate PNG files.

#ce ----------------------------------------------------------------------------

#include <TBAutomation.au3>

$baseFileName = FileSaveDialog( "Choose a name.", "", "PNG files (*.png)", 2)

if Not @error Then
	if StringInStr($baseFileName,".") == 0 then
		$baseFileName &= ".png"
	EndIf

	If StringLower(StringRight($baseFileName, 4)) == ".png" Then
		$baseFileName = StringLeft($baseFileName, StringLen($baseFileName) - 4)
		
		TBAutomationInit()
		TBAutomationCmdStart()

		$fileCount = 1
		$fileName = ""
		for $i1 = 1 to 253 Step 1
			
			If TBAutomationCmdIsLayer($i1) == True Then
				$fileName = $baseFileName & StringFormat("%04s", $fileCount) & ".png"		
				$fileCount += 1	
				TBAutomationCmdSaveLayerToPNG($i1, $fileName)
			EndIf
		Next
	
		TBAutomationCmdDone()
		TBAutomationClose()
	Else
		MsgBox(16,"Layers to PNG Files", "Please enter or select a file name with a PNG extension")
	EndIf	
EndIf


