#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Ken Carlino Pixarra Inc

 Script Function: TwistedBrush Autoation Save layers of a page to separate PNG files.

#ce ----------------------------------------------------------------------------

#include <TBAutomation.au3>

$baseFileName = FileOpenDialog( "Select first file in sequence.", "", "PNG files (*.png)", 3)

if Not @error Then
	if StringInStr($baseFileName,".") == 0 then
		$baseFileName &= ".png"
	EndIf

	If StringLower(StringRight($baseFileName, 4)) == ".png" Then
		$baseFileName = StringLeft($baseFileName, StringLen($baseFileName) - 8)
		
		TBAutomationInit()
		TBAutomationCmdStart()

		$fileCount = 1
		$fileName = ""
		for $i1 = 1 to 253 Step 1
			
			$fileName = $baseFileName & StringFormat("%04s", $fileCount) & ".png"		
			$fileCount += 1	
			
			If FileExists($FileName) Then
				TBAutomationCmdLoadPNGToLayer($i1, $fileName, false)
			EndIf	
		Next
	
		TBAutomationCmdDone()
		TBAutomationClose()
	Else
		MsgBox(16,"PNG Files to Layers", "Please enter or select a file name with a PNG extension")
	EndIf	
EndIf


