#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Ken Carlino Pixarra Inc

 Script Function: TwistedBrush Autoation Save layers of a page to separate PNG files.

#ce ----------------------------------------------------------------------------

#include <TBAutomation.au3>
#include <ScreenCapture.au3>

$baseFileName = FileSaveDialog( "Choose a name.", "", "PNG files (*.png)", 2)

if Not @error Then
	if StringInStr($baseFileName,".") == 0 then
		$baseFileName &= ".png"
	EndIf

	If StringLower(StringRight($baseFileName, 4)) == ".png" Then

		Local $hBmp

		; Capture full screen
		$hBmp = _ScreenCapture_Capture ("")

		; Save bitmap to file
		_ScreenCapture_SaveImage ($baseFileName, $hBmp)

		TBAutomationCmdDone()
		TBAutomationClose()
	Else
		MsgBox(16,"Layers to PNG Files", "Please enter or select a file name with a PNG extension")
	EndIf	
EndIf


